Bug 1263336 - [GSS](6.4.z) JACC Class can be specified as system properties but module can not be specified
[GSS](6.4.z) JACC Class can be specified as system properties but module can ...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Security (Show other bugs)
6.4.0
Unspecified Unspecified
high Severity unspecified
: CR1
: EAP 6.4.5
Assigned To: Brad Maxwell
Josef Cacek
https://github.com/jbossas/jboss-eap/...
:
Depends On:
Blocks: 1267355 1235745
  Show dependency treegraph
 
Reported: 2015-09-15 10:55 EDT by Darran Lofthouse
Modified: 2017-01-17 06:36 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1267355 (view as bug list)
Environment:
Last Closed: 2017-01-17 06:36:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-5340 Major Resolved Unable to specify module when specifying custom JACC policy class. 2017-03-21 07:48 EDT

  None (edit)
Description Darran Lofthouse 2015-09-15 10:55:03 EDT
Description of problem:

It is currently possible for JACC implementation classes to be specified as system properties, however it is not possible to specify the module to use when loading the classes.

This BZ is to correct this situation so a separate system property can also be set to control the module.
Comment 4 Ondrej Lukas 2015-11-04 08:09:28 EST
Verified in EAP 6.4.5.CP.CR1. Module for loading JACC policy can be specified through org.jboss.as.security.jacc-module system property.
Comment 5 Petr Penicka 2017-01-17 06:36:59 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.